/*
 GET /articles?category=1 - List of articles
 GET /articles/:id - Show article by id
 POST /articles - Create article
 PUT /articles/:id - Update article by id
 PATCH /articles/:id - Partial update article by id
 DELETE /articles/:id - Remove article by id

 GET /products - List of articles
 GET /products/:id - Show article by id
 POST /products - Create article
 PUT /products/:id - Update article by id
 PATCH /products/:id - Partial update article by id
 DELETE /products/:id - Remove article by id
 */
const cors    = require('cors');
const express = require('express');
const app     = express();
const port    = 8001;
const createProductsRoutes = require('./routes/products');
const fileDb = require('./db/fileDb');

fileDb.init();

app.use(cors());
app.use(express.json());
app.use('/api/v1/products', createProductsRoutes(fileDb));

app.listen(port, () => {
    console.log("Server running at http://localhost:" + port);
});
