import {Card, CardActions, CardContent, CardHeader, Grid, IconButton} from "@mui/material";
import {Link} from "react-router-dom";
import {PRODUCT_VIEW} from "../../../constants/routes";
import ArrowForwardIosIcon from '@mui/icons-material/ArrowForwardIos';

const ProductItem = ({title, price, id}) => {
    return (
        <Grid item xs={12} sm={12} md={6} lg={4}>
            <Card>
                <CardHeader title={title}/>
                <CardContent>
                    <strong style={{marginLeft: '10px'}}>
                        Price: {price} KZT
                    </strong>
                </CardContent>
                <CardActions>
                    <IconButton component={Link} to={PRODUCT_VIEW.replace(':id', id)}>
                        <ArrowForwardIosIcon/>
                    </IconButton>
                </CardActions>
            </Card>
        </Grid>
    );
};

export default ProductItem;
